package opc.ua.services.common;

public class EventFilterResult {
	
	private StatusCode[] selectClauseResults;
	private DiagnosticInfo[] selectClauseDiagnosticInfos;
	private ContentFilterResult whereClauseResult;

	
	public StatusCode[] getSelectClauseResults() {
		return selectClauseResults;
	}
	public void setSelectClauseResults(StatusCode[] selectClauseResults) {
		this.selectClauseResults = selectClauseResults;
	}
	public DiagnosticInfo[] getSelectClauseDiagnosticInfos() {
		return selectClauseDiagnosticInfos;
	}
	public void setSelectClauseDiagnosticInfos(
			DiagnosticInfo[] selectClauseDiagnosticInfos) {
		this.selectClauseDiagnosticInfos = selectClauseDiagnosticInfos;
	}
	public ContentFilterResult getWhereClauseResult() {
		return whereClauseResult;
	}
	public void setWhereClauseResult(ContentFilterResult whereClauseResult) {
		this.whereClauseResult = whereClauseResult;
	}

}
